package main

import (
	"github.com/maxence-charriere/go-app/v9/pkg/app"
	log "github.com/sirupsen/logrus"

	"go.mills.io/saltyim"
	"go.mills.io/saltyim/internal/pwa/routes"
)

func init() {
	log.SetLevel(log.DebugLevel)
	saltyim.SetResolver(&saltyim.DNSOverHTTPResolver{})
}

func main() {
	routes.AddRoutes()
	app.RunWhenOnBrowser()
}
