package storage

import "github.com/maxence-charriere/go-app/v9/pkg/app"

// Actions defines the action operations
type Actions interface {
	Handle(actionName string, h app.ActionHandler)
	NewAction(name string, tags ...app.Tagger)
	NewActionWithValue(name string, v interface{}, tags ...app.Tagger)
}
