package storage

import "github.com/maxence-charriere/go-app/v9/pkg/app"

// StateOperations are the state operations present in app.Context
type StateOperations interface {
	SetState(state string, v interface{}, opts ...app.StateOption)
	GetState(state string, recv interface{})
	DelState(state string)
}
