module go.mills.io/saltyim

go 1.18

//replace git.mills.io/prologic/msgbus => ../../msgbus

require (
	github.com/andybalholm/brotli v1.0.4
	github.com/avast/retry-go v2.7.0+incompatible
	github.com/cyphar/filepath-securejoin v0.2.3
	github.com/disintegration/gift v1.2.1
	github.com/disintegration/imageorient v0.0.0-20180920195336-8147d86e83ec
	github.com/h2non/filetype v1.1.3
	github.com/likexian/doh-go v0.6.4
	github.com/mattn/go-isatty v0.0.14
	github.com/mitchellh/go-homedir v1.1.0
	github.com/mlctrez/goapp-mdc v0.2.6
	github.com/nullrocks/identicon v0.0.0-20180626043057-7875f45b0022
	github.com/oklog/ulid/v2 v2.0.2
	github.com/sasha-s/go-deadlock v0.3.1
	github.com/sirupsen/logrus v1.8.1
	github.com/spf13/cobra v1.4.0
	github.com/spf13/viper v1.10.1
	github.com/stretchr/testify v1.7.0
	github.com/timewasted/go-accept-headers v0.0.0-20130320203746-c78f304b1b09
	go.mills.io/salty v0.0.0-20220322161301-ce2b9f6573fa
	golang.org/x/crypto v0.0.0-20220321153916-2c7772ba3064
)

require (
	github.com/ScaleFT/sshkeys v0.0.0-20200327173127-6142f742bca5 // indirect
	github.com/abcum/lcp v0.0.0-20201209214815-7a3f3840be81 // indirect
	github.com/beorn7/perks v1.0.1 // indirect
	github.com/blang/semver/v4 v4.0.0 // indirect
	github.com/cespare/xxhash/v2 v2.1.2 // indirect
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/dchest/bcrypt_pbkdf v0.0.0-20150205184540-83f37f9c154a // indirect
	github.com/dchest/blake2b v1.0.0 // indirect
	github.com/fsnotify/fsnotify v1.5.1 // indirect
	github.com/gdamore/encoding v1.0.0 // indirect
	github.com/gofrs/flock v0.8.1 // indirect
	github.com/golang/protobuf v1.5.2 // indirect
	github.com/google/uuid v1.3.0 // indirect
	github.com/gopherjs/gopherjs v0.0.0-20220221023154-0b2280d3ff96 // indirect
	github.com/gorilla/websocket v1.5.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	github.com/hashicorp/hcl v1.0.0 // indirect
	github.com/inconshreveable/mousetrap v1.0.0 // indirect
	github.com/jpillora/backoff v1.0.0 // indirect
	github.com/keybase/go-codec v0.0.0-20180928230036-164397562123 // indirect
	github.com/klauspost/compress v1.15.1 // indirect
	github.com/likexian/gokit v0.25.6 // indirect
	github.com/lucasb-eyer/go-colorful v1.2.0 // indirect
	github.com/magiconair/properties v1.8.6 // indirect
	github.com/mattn/go-runewidth v0.0.13 // indirect
	github.com/matttproud/golang_protobuf_extensions v1.0.1 // indirect
	github.com/mitchellh/mapstructure v1.4.3 // indirect
	github.com/oklog/ulid v1.3.1 // indirect
	github.com/pelletier/go-toml v1.9.4 // indirect
	github.com/petermattis/goid v0.0.0-20220331194723-8ee3e6ded87a // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/plar/go-adaptive-radix-tree v1.0.4 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/prometheus/client_golang v1.12.1 // indirect
	github.com/prometheus/client_model v0.2.0 // indirect
	github.com/prometheus/common v0.33.0 // indirect
	github.com/prometheus/procfs v0.7.3 // indirect
	github.com/rivo/uniseg v0.2.0 // indirect
	github.com/spf13/afero v1.8.2 // indirect
	github.com/spf13/cast v1.4.1 // indirect
	github.com/spf13/jwalterweatherman v1.1.0 // indirect
	github.com/subosito/gotenv v1.2.0 // indirect
	github.com/tidwall/gjson v1.14.0 // indirect
	github.com/tidwall/match v1.1.1 // indirect
	github.com/tidwall/pretty v1.2.0 // indirect
	github.com/tidwall/tinylru v1.1.0 // indirect
	github.com/tidwall/wal v1.1.7 // indirect
	github.com/tyler-smith/go-bip39 v1.1.0 // indirect
	github.com/vmihailenco/msgpack/v4 v4.3.12 // indirect
	github.com/vmihailenco/msgpack/v5 v5.3.5 // indirect
	github.com/vmihailenco/tagparser v0.1.2 // indirect
	github.com/vmihailenco/tagparser/v2 v2.0.0 // indirect
	github.com/writeas/go-strip-markdown/v2 v2.1.1 // indirect
	golang.org/x/exp v0.0.0-20220328175248-053ad81199eb // indirect
	golang.org/x/sys v0.0.0-20220405052023-b1e9470b6e64 // indirect
	golang.org/x/term v0.0.0-20210927222741-03fcf44c2211 // indirect
	golang.org/x/text v0.3.7 // indirect
	google.golang.org/appengine v1.6.7 // indirect
	google.golang.org/protobuf v1.28.0 // indirect
	gopkg.in/ini.v1 v1.66.4 // indirect
	gopkg.in/yaml.v2 v2.4.0 // indirect
	gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b // indirect
	nhooyr.io/websocket v1.8.7 // indirect
)

require (
	git.mills.io/prologic/bitcask v1.0.2
	git.mills.io/prologic/msgbus v0.1.19
	git.mills.io/prologic/observe v0.0.0-20210712230028-fc31c7aa2bd1
	git.mills.io/prologic/useragent v0.0.0-20210714100044-d249fe7921a0
	github.com/NYTimes/gziphandler v1.1.1
	github.com/dim13/crc24 v0.0.0-20190831075008-15d874f06514
	github.com/gdamore/tcell/v2 v2.4.1-0.20210905002822-f057f0a857a1
	github.com/google/go-cmp v0.5.7 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/julienschmidt/httprouter v1.3.0
	github.com/justinas/nosurf v1.1.1
	github.com/keybase/saltpack v0.0.0-20211122193250-350028a91799 // indirect
	github.com/keys-pub/keys v0.1.22
	github.com/logrusorgru/aurora v2.0.3+incompatible
	github.com/maxence-charriere/go-app/v9 v9.4.1
	github.com/posener/formatter v1.0.0
	github.com/rivo/tview v0.0.0-20220307222120-9994674d60a8
	github.com/robfig/cron v1.2.0
	github.com/spf13/pflag v1.0.5
	github.com/unrolled/logger v0.0.0-20201216141554-31a3694fe979
	github.com/unrolled/render v1.4.1
	github.com/wblakecaldwell/profiler v0.0.0-20150908040756-6111ef1313a1
	go.yarn.social/lextwt v0.0.0-20220318224940-ae4228bbcb31
	go.yarn.social/types v0.0.0-20220304222359-9694f95ad749 // indirect
	golang.org/x/net v0.0.0-20220325170049-de3da57026de
)
