package routes

import (
	"github.com/maxence-charriere/go-app/v9/pkg/app"
	"go.mills.io/saltyim/internal/pwa/components"
)

// AddRoutes maintains consistency between internal/pwa/main and internal/server
func AddRoutes() {
	app.Route("/", &components.SaltyChat{})
	app.Route("/config", &components.Configuration{})
	app.Route("/newchat", &components.NewChat{})
}
